# Ogre::HardwarePixelBufferSharedPtr Class Reference

Shared pointer implementation used to share pixel buffers. More...

`#include <OgreHardwarePixelBuffer.h>`

Inheritance diagram for Ogre::HardwarePixelBufferSharedPtr:

[legend]
List of all members.

## Public Member Functions

| HardwarePixelBufferSharedPtr ()
| HardwarePixelBufferSharedPtr (HardwarePixelBuffer *buf)
HardwarePixelBuffer & | operator * () const
HardwarePixelBuffer * | operator-> () const
HardwarePixelBuffer * | get () const
void | bind (HardwarePixelBuffer *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
HardwarePixelBuffer * | getPointer () const
bool | isNull (void) const
void | setNull (void)

## Protected Member Functions

void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< HardwarePixelBuffer > &other)

## Protected Attributes

HardwarePixelBuffer * | pRep
unsigned int * | pUseCount

## Detailed Description

Shared pointer implementation used to share pixel buffers.

Definition at line 187 of file OgreHardwarePixelBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwarePixelBufferSharedPtr::HardwarePixelBufferSharedPtr | ( |  | ) |

| Definition at line 190 of file OgreHardwarePixelBuffer.h.

Ogre::HardwarePixelBufferSharedPtr::HardwarePixelBufferSharedPtr | ( | HardwarePixelBuffer * | buf | ) | `[explicit]`

## Member Function Documentation

void Ogre::SharedPtr< HardwarePixelBuffer >::bind | ( | HardwarePixelBuffer * | rep | ) | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 141 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwarePixelBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 195 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::get | ( |  | ) | const`[inherited]`

| Definition at line 135 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 153 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwarePixelBuffer >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 155 of file OgreSharedPtr.h.

HardwarePixelBuffer & Ogre::SharedPtr< HardwarePixelBuffer >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 133 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 134 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwarePixelBuffer >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 169 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwarePixelBuffer >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 157 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwarePixelBuffer >::swap | ( | SharedPtr< HardwarePixelBuffer > & | other | ) | `[protected, virtual, inherited]`

| Definition at line 206 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwarePixelBuffer >::unique | ( |  | ) | const`[inherited]`

| Definition at line 149 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwarePixelBuffer >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 150 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwarePixelBuffer >::useCountPointer | ( |  | ) | const`[inherited]`

| Definition at line 151 of file OgreSharedPtr.h.

## Member Data Documentation

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::pRep`[protected, inherited]`

| Definition at line 50 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwarePixelBuffer >::pUseCount`[protected, inherited]`

| Definition at line 51 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreHardwarePixelBuffer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Aug 20 13:52:10 2007